#ifndef MODEL_FROM_SOLVER_GENERATOR_H_
#define MODEL_FROM_SOLVER_GENERATOR_H_

#include <stddef.h>

#include "model_root.h"
#include "segment.h"
#include "train.h"
#include "turnout.h"

void generate_model_close_trains_solver(ModelRoot *model);
void generate_model_misaligned_turnout_solver(ModelRoot *model);
void generate_model_end_of_siding_solver(ModelRoot *model);
void generate_model_train_locations_solver(ModelRoot *model);

void generate_model_modes3(ModelRoot *model);

#endif /* MODEL_FROM_SOLVER_GENERATOR_H_ */
